Package org.bukkit.conversations

# Class BooleanPrompt

java.lang.Object
org.bukkit.conversations.ValidatingPrompt
org.bukkit.conversations.BooleanPrompt

All Implemented Interfaces:
  `Cloneable`, `Prompt`

public abstract class BooleanPrompt extends ValidatingPrompt
BooleanPrompt is the base class for any prompt that requires a boolean response from the user.

## Field Summary

### Fields inherited from interface org.bukkit.conversations.Prompt

`END_OF_CONVERSATION`

## Constructor Summary

Constructors
Constructor
Description
`BooleanPrompt()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract @Nullable Prompt`
`acceptValidatedInput(@NotNull ConversationContext context, boolean input)`
Override this method to perform some action with the user's boolean response.
`protected @Nullable Prompt`
`acceptValidatedInput(@NotNull ConversationContext context, @NotNull String input)`
Override this method to accept and processes the validated input from the user.
`protected boolean`
`isInputValid(@NotNull ConversationContext context, @NotNull String input)`
Override this method to check the validity of the player's input.

### Methods inherited from class org.bukkit.conversations.ValidatingPrompt

`acceptInput, blocksForInput, getFailedValidationText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.conversations.Prompt

`getPromptText`

## Constructor Details

### BooleanPrompt

public BooleanPrompt()

## Method Details

### isInputValid

protected boolean isInputValid(@NotNull @NotNull ConversationContext context, @NotNull @NotNull String input)
Description copied from class: `ValidatingPrompt`
Override this method to check the validity of the player's input.

Specified by:
  `isInputValid` in class `ValidatingPrompt`
Parameters:
  `context` - Context information about the conversation.
  `input` - The player's raw console input.
Returns:
  True or false depending on the validity of the input.

### acceptValidatedInput

@Nullable protected @Nullable Prompt acceptValidatedInput(@NotNull @NotNull ConversationContext context, @NotNull @NotNull String input)
Description copied from class: `ValidatingPrompt`
Override this method to accept and processes the validated input from the user. Using the input, the next Prompt in the prompt graph should be returned.

Specified by:
  `acceptValidatedInput` in class `ValidatingPrompt`
Parameters:
  `context` - Context information about the conversation.
  `input` - The validated input text from the user.
Returns:
  The next Prompt in the prompt graph.

### acceptValidatedInput

@Nullable protected abstract @Nullable Prompt acceptValidatedInput(@NotNull @NotNull ConversationContext context, boolean input)
Override this method to perform some action with the user's boolean response.

Parameters:
  `context` - Context information about the conversation.
  `input` - The user's boolean response.
Returns:
  The next `Prompt` in the prompt graph.